
Infrastructure - Task #1578

Feature # 1577 (Closed): use tables for storing System Metadata in Metacat

refactor metacat tables

2011-05-23 17:42 - Ben Leinfelder

Status: Closed Start date: 2011-05-23

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

potentially merge xml_documents, xml_revisions, identifiers, and systemmetadata if it make sense

History

#1 - 2011-05-24 23:53 - Ben Leinfelder

instead of merging all the tables I would go for this approach (comments welcome):

-keep 'xml_documents' and 'xml_revisions' as they are (using docid+rev)

-use 'identifier' table as the only mapping point for connecting guid with docid+rev

-remove 'docid' and 'rev' columns from the 'systemMetadata' table

-all operations that require guid would first look up the guid from 'identifier' if needed (say if we needed system metadata but only had the docid+rev)

-all operations that require docid would first look it up via 'identifier' using the guid it has (looking up access control rules from xml_access table, for

example)

#2 - 2011-05-25 21:58 - Ben Leinfelder

- Status changed from New to In Progress

removed the docid and rev columns from systemMetadata and any mapping methods that might have tried to use those columns.

#3 - 2011-05-25 22:03 - Ben Leinfelder

- Status changed from In Progress to Closed

actually, I think this is the extend of the changes I'll make to existing tables.

there are other tasks to create tables for storing other system metadata facets
